Package org.apache.jmeter.gui

# Class GlobalUndoableEdit

java.lang.Object
javax.swing.undo.AbstractUndoableEdit
org.apache.jmeter.gui.GlobalUndoableEdit

All Implemented Interfaces:
  `Serializable`, `UndoableEdit`

public final class GlobalUndoableEdit extends AbstractUndoableEdit

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.undo.AbstractUndoableEdit

  `RedoName, UndoName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalUndoableEdit(UndoHistoryItem item, UndoHistoryItem previous, Consumer<? super UndoHistoryItem> loader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `redo()`
  `void`
  `undo()`

  ### Methods inherited from class javax.swing.undo.AbstractUndoableEdit

  `addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GlobalUndoableEdit

    public GlobalUndoableEdit(UndoHistoryItem item, UndoHistoryItem previous, Consumer<? super UndoHistoryItem> loader)

- ## Method Details

  - ### undo

    public void undo() throws CannotUndoException
    Specified by:
      `undo` in interface `UndoableEdit`
    Overrides:
      `undo` in class `AbstractUndoableEdit`
    Throws:
      `CannotUndoException`

  - ### redo

    public void redo() throws CannotRedoException
    Specified by:
      `redo` in interface `UndoableEdit`
    Overrides:
      `redo` in class `AbstractUndoableEdit`
    Throws:
      `CannotRedoException`